GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.ShipmentService Class Reference

## Public Member Functions
Service | getService ()
void | setService (Service value)
ShopDeliveryService | getShopDelivery ()
void | setShopDelivery (ShopDeliveryService value)
ShopReturnService | getShopReturn ()
void | setShopReturn (ShopReturnService value)
IntercompanyService | getIntercompany ()
void | setIntercompany (IntercompanyService value)
ExchangeService | getExchange ()
void | setExchange (ExchangeService value)
DeliveryAtWorkService | getDeliveryAtWork ()
void | setDeliveryAtWork (DeliveryAtWorkService value)
DepositService | getDeposit ()
void | setDeposit (DepositService value)
IdentPINService | getIdentPin ()
void | setIdentPin (IdentPINService value)
IdentService | getIdent ()
void | setIdent (IdentService value)
PickAndShipService | getPickAndShip ()
void | setPickAndShip (PickAndShipService value)
PickAndReturnService | getPickAndReturn ()
void | setPickAndReturn (PickAndReturnService value)
CarrierService | getCarrierService ()
void | setCarrierService (CarrierService value)

## Protected Attributes
Service | service
ShopDeliveryService | shopDelivery
ShopReturnService | shopReturn
IntercompanyService | intercompany
ExchangeService | exchange
DeliveryAtWorkService | deliveryAtWork
DepositService | deposit
IdentPINService | identPin
IdentService | ident
PickAndShipService | pickAndShip
PickAndReturnService | pickAndReturn
CarrierService | carrierService

## Detailed Description

Abstract shipment service container covers the available services on shipment level

Java class for ShipmentService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ShipmentService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="Service" type="{http://fpcs.gls-group.eu/v1/Common}Service"/>
            <element name="ShopDelivery" type="{http://fpcs.gls-group.eu/v1/Common}ShopDeliveryService"/>
            <element name="ShopReturn" type="{http://fpcs.gls-group.eu/v1/Common}ShopReturnService"/>
            <element name="Intercompany" type="{http://fpcs.gls-group.eu/v1/Common}IntercompanyService"/>
            <element name="Exchange" type="{http://fpcs.gls-group.eu/v1/Common}ExchangeService"/>
            <element name="DeliveryAtWork" type="{http://fpcs.gls-group.eu/v1/Common}DeliveryAtWorkService"/>
            <element name="Deposit" type="{http://fpcs.gls-group.eu/v1/Common}DepositService"/>
            <element name="IdentPin" type="{http://fpcs.gls-group.eu/v1/Common}IdentPINService"/>
            <element name="Ident" type="{http://fpcs.gls-group.eu/v1/Common}IdentService"/>
            <element name="PickAndShip" type="{http://fpcs.gls-group.eu/v1/Common}PickAndShipService"/>
            <element name="PickAndReturn" type="{http://fpcs.gls-group.eu/v1/Common}PickAndReturnService"/>
            <element name="CarrierService" type="{http://fpcs.gls-group.eu/v1/Common}CarrierService"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 60 of file ShipmentService.java.

## Member Function Documentation

## ◆ getCarrierService()

CarrierService eu.gls_group.fpcs.v1.common.ShipmentService.getCarrierService | ( |  | ) |

Gets the value of the carrierService property.

Returns
  possible object is CarrierService

Definition at line 359 of file ShipmentService.java.

## ◆ getDeliveryAtWork()

DeliveryAtWorkService eu.gls_group.fpcs.v1.common.ShipmentService.getDeliveryAtWork | ( |  | ) |

Gets the value of the deliveryAtWork property.

Returns
  possible object is DeliveryAtWorkService

Definition at line 215 of file ShipmentService.java.

## ◆ getDeposit()

DepositService eu.gls_group.fpcs.v1.common.ShipmentService.getDeposit | ( |  | ) |

Gets the value of the deposit property.

Returns
  possible object is DepositService

Definition at line 239 of file ShipmentService.java.

## ◆ getExchange()

ExchangeService eu.gls_group.fpcs.v1.common.ShipmentService.getExchange | ( |  | ) |

Gets the value of the exchange property.

Returns
  possible object is ExchangeService

Definition at line 191 of file ShipmentService.java.

## ◆ getIdent()

IdentService eu.gls_group.fpcs.v1.common.ShipmentService.getIdent | ( |  | ) |

Gets the value of the ident property.

Returns
  possible object is IdentService

Definition at line 287 of file ShipmentService.java.

## ◆ getIdentPin()

IdentPINService eu.gls_group.fpcs.v1.common.ShipmentService.getIdentPin | ( |  | ) |

Gets the value of the identPin property.

Returns
  possible object is IdentPINService

Definition at line 263 of file ShipmentService.java.

## ◆ getIntercompany()

IntercompanyService eu.gls_group.fpcs.v1.common.ShipmentService.getIntercompany | ( |  | ) |

Gets the value of the intercompany property.

Returns
  possible object is IntercompanyService

Definition at line 167 of file ShipmentService.java.

## ◆ getPickAndReturn()

PickAndReturnService eu.gls_group.fpcs.v1.common.ShipmentService.getPickAndReturn | ( |  | ) |

Gets the value of the pickAndReturn property.

Returns
  possible object is PickAndReturnService

Definition at line 335 of file ShipmentService.java.

## ◆ getPickAndShip()

PickAndShipService eu.gls_group.fpcs.v1.common.ShipmentService.getPickAndShip | ( |  | ) |

Gets the value of the pickAndShip property.

Returns
  possible object is PickAndShipService

Definition at line 311 of file ShipmentService.java.

## ◆ getService()

Service eu.gls_group.fpcs.v1.common.ShipmentService.getService | ( |  | ) |

Gets the value of the service property.

Returns
  possible object is Service

Definition at line 95 of file ShipmentService.java.

## ◆ getShopDelivery()

ShopDeliveryService eu.gls_group.fpcs.v1.common.ShipmentService.getShopDelivery | ( |  | ) |

Gets the value of the shopDelivery property.

Returns
  possible object is ShopDeliveryService

Definition at line 119 of file ShipmentService.java.

## ◆ getShopReturn()

ShopReturnService eu.gls_group.fpcs.v1.common.ShipmentService.getShopReturn | ( |  | ) |

Gets the value of the shopReturn property.

Returns
  possible object is ShopReturnService

Definition at line 143 of file ShipmentService.java.

## ◆ setCarrierService()

void eu.gls_group.fpcs.v1.common.ShipmentService.setCarrierService | ( | CarrierService | value | ) |

Sets the value of the carrierService property.

Parameters

  value | allowed object is CarrierService

Definition at line 371 of file ShipmentService.java.

## ◆ setDeliveryAtWork()

void eu.gls_group.fpcs.v1.common.ShipmentService.setDeliveryAtWork | ( | DeliveryAtWorkService | value | ) |

Sets the value of the deliveryAtWork property.

Parameters

  value | allowed object is DeliveryAtWorkService

Definition at line 227 of file ShipmentService.java.

## ◆ setDeposit()

void eu.gls_group.fpcs.v1.common.ShipmentService.setDeposit | ( | DepositService | value | ) |

Sets the value of the deposit property.

Parameters

  value | allowed object is DepositService

Definition at line 251 of file ShipmentService.java.

## ◆ setExchange()

void eu.gls_group.fpcs.v1.common.ShipmentService.setExchange | ( | ExchangeService | value | ) |

Sets the value of the exchange property.

Parameters

  value | allowed object is ExchangeService

Definition at line 203 of file ShipmentService.java.

## ◆ setIdent()

void eu.gls_group.fpcs.v1.common.ShipmentService.setIdent | ( | IdentService | value | ) |

Sets the value of the ident property.

Parameters

  value | allowed object is IdentService

Definition at line 299 of file ShipmentService.java.

## ◆ setIdentPin()

void eu.gls_group.fpcs.v1.common.ShipmentService.setIdentPin | ( | IdentPINService | value | ) |

Sets the value of the identPin property.

Parameters

  value | allowed object is IdentPINService

Definition at line 275 of file ShipmentService.java.

## ◆ setIntercompany()

void eu.gls_group.fpcs.v1.common.ShipmentService.setIntercompany | ( | IntercompanyService | value | ) |

Sets the value of the intercompany property.

Parameters

  value | allowed object is IntercompanyService

Definition at line 179 of file ShipmentService.java.

## ◆ setPickAndReturn()

void eu.gls_group.fpcs.v1.common.ShipmentService.setPickAndReturn | ( | PickAndReturnService | value | ) |

Sets the value of the pickAndReturn property.

Parameters

  value | allowed object is PickAndReturnService

Definition at line 347 of file ShipmentService.java.

## ◆ setPickAndShip()

void eu.gls_group.fpcs.v1.common.ShipmentService.setPickAndShip | ( | PickAndShipService | value | ) |

Sets the value of the pickAndShip property.

Parameters

  value | allowed object is PickAndShipService

Definition at line 323 of file ShipmentService.java.

## ◆ setService()

void eu.gls_group.fpcs.v1.common.ShipmentService.setService | ( | Service | value | ) |

Sets the value of the service property.

Parameters

  value | allowed object is Service

Definition at line 107 of file ShipmentService.java.

## ◆ setShopDelivery()

void eu.gls_group.fpcs.v1.common.ShipmentService.setShopDelivery | ( | ShopDeliveryService | value | ) |

Sets the value of the shopDelivery property.

Parameters

  value | allowed object is ShopDeliveryService

Definition at line 131 of file ShipmentService.java.

## ◆ setShopReturn()

void eu.gls_group.fpcs.v1.common.ShipmentService.setShopReturn | ( | ShopReturnService | value | ) |

Sets the value of the shopReturn property.

Parameters

  value | allowed object is ShopReturnService

Definition at line 155 of file ShipmentService.java.

## Member Data Documentation

## ◆ carrierService

CarrierService eu.gls_group.fpcs.v1.common.ShipmentService.carrierService
| protected

Definition at line 85 of file ShipmentService.java.

## ◆ deliveryAtWork

DeliveryAtWorkService eu.gls_group.fpcs.v1.common.ShipmentService.deliveryAtWork
| protected

Definition at line 73 of file ShipmentService.java.

## ◆ deposit

DepositService eu.gls_group.fpcs.v1.common.ShipmentService.deposit
| protected

Definition at line 75 of file ShipmentService.java.

## ◆ exchange

ExchangeService eu.gls_group.fpcs.v1.common.ShipmentService.exchange
| protected

Definition at line 71 of file ShipmentService.java.

## ◆ ident

IdentService eu.gls_group.fpcs.v1.common.ShipmentService.ident
| protected

Definition at line 79 of file ShipmentService.java.

## ◆ identPin

IdentPINService eu.gls_group.fpcs.v1.common.ShipmentService.identPin
| protected

Definition at line 77 of file ShipmentService.java.

## ◆ intercompany

IntercompanyService eu.gls_group.fpcs.v1.common.ShipmentService.intercompany
| protected

Definition at line 69 of file ShipmentService.java.

## ◆ pickAndReturn

PickAndReturnService eu.gls_group.fpcs.v1.common.ShipmentService.pickAndReturn
| protected

Definition at line 83 of file ShipmentService.java.

## ◆ pickAndShip

PickAndShipService eu.gls_group.fpcs.v1.common.ShipmentService.pickAndShip
| protected

Definition at line 81 of file ShipmentService.java.

## ◆ service

Service eu.gls_group.fpcs.v1.common.ShipmentService.service
| protected

Definition at line 63 of file ShipmentService.java.

## ◆ shopDelivery

ShopDeliveryService eu.gls_group.fpcs.v1.common.ShipmentService.shopDelivery
| protected

Definition at line 65 of file ShipmentService.java.

## ◆ shopReturn

ShopReturnService eu.gls_group.fpcs.v1.common.ShipmentService.shopReturn
| protected

Definition at line 67 of file ShipmentService.java.

The documentation for this class was generated from the following file:

- ShipmentService.java